Knight Knight - 3 months ago 24
Linux Question

Installation of package.json

i am unable to install this library from GitHub. [Minishlink/web-push]

I have Laravel 5 installed on my server, I want to install this in the Laravel directory (project). And will use the library via custom PHP.

I am facing below issues:


  1. When I run
    composer require minishlink/web-push
    , I get below error:enter image description here

  2. When I run
    composer require mdanter/eec
    , I get below errorenter image description here

  3. When I run
    composer require pargonie/rndom_compat
    , I get below errorenter image description here



Here is the
composer.json
file (I have not included the web-push file here as I am using the require command via putty, [Please correct me if I'm wrong])

{
"name": "laravel/laravel",
"description": "The Laravel Framework.",
"keywords": ["framework", "laravel"],
"license": "MIT",
"type": "project",
"require": {
"php": ">=5.5.9",
"laravel/framework": "5.1.*",
"guzzlehttp/guzzle": "~4.0",
"maatwebsite/excel": "~2.0.0",
"aloha/twilio": "^2.0",
"laravel/socialite": "2.0.*",
"ixudra/curl": "6.*",
"laracasts/utilities": "^2.1"
},
"require-dev": {
"fzaninotto/faker": "~1.4",
"mockery/mockery": "0.9.*",
"phpunit/phpunit": "~4.0",
"phpspec/phpspec": "~2.1",
"laracasts/utilities": "~2.0"
},
"autoload": {
"classmap": [
"database"
],
"psr-4": {
"App\\": "app/"
}
},
"autoload-dev": {
"classmap": [
"tests/TestCase.php"
]
},
"scripts": {
"post-install-cmd": [
"php artisan clear-compiled",
"php artisan optimize"
],
"pre-update-cmd": [
"php artisan clear-compiled"
],
"post-update-cmd": [
"php artisan optimize"
],
"post-root-package-install": [
"php -r \"copy('.env.example', '.env');\""
],
"post-create-project-cmd": [
"php artisan key:generate"
]
},
"config": {
"preferred-install": "dist"
}
}

Answer

This is the same type of issue as #17. It's not related to Minishlink/web-push. One of your dependancies is stuck in the past with paragonie/random_compat v1.1.5. You should check which one and ask the owner to update the composer.json. To fix this temporarily, in your composer.json, on your dev machine put:

"paragonie/random_compat": "dev-master as 1.1.5",
"minishlink/web-push": "^1.1"
Comments